org.apache.commons.beanutils.converters

## Class ClassConverter

- java.lang.Object
- - org.apache.commons.beanutils.converters.AbstractConverter
  - - org.apache.commons.beanutils.converters.ClassConverter

- All Implemented Interfaces:
    Converter

      public final class ClassConverter
      extends AbstractConverter

  `Converter` implementaion that handles conversion to and from java.lang.Class objects.

  The class will be loaded from the thread context class loader (if it exists); otherwise the class loader that loaded this class will be used.

  Can be configured to either return a default value or throw a `ConversionException` if a conversion error occurs.

  Since:
    1.4
  Version:
    $Id: ClassConverter.java 1632171 2014-10-15 20:15:17Z ggregory $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassConverter()` Construct a java.lang.Class Converter that throws a `ConversionException` if an error occurs.
    `ClassConverter(Object defaultValue)` Construct a java.lang.Class Converter that returns a default value if an error occurs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `convertToString(Object value)` Convert a java.lang.Class or object into a String.
    `protected <T> T` | `convertToType(Class<T> type, Object value)` Convert the input object into a java.lang.Class.
    `protected Class<?>` | `getDefaultType()` Return the default type this `Converter` handles.

    - ### Methods inherited from class org.apache.commons.beanutils.converters.AbstractConverter

      `conversionException, convert, convertArray, getDefault, handleError, handleMissing, isUseDefault, setDefaultValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassConverter

          public ClassConverter()

      Construct a java.lang.Class Converter that throws a `ConversionException` if an error occurs.

    - #### ClassConverter

          public ClassConverter(Object defaultValue)

      Construct a java.lang.Class Converter that returns a default value if an error occurs.
      Parameters:
        `defaultValue` - The default value to be returned if the value to be converted is missing or an error occurs converting the value.

  - ### Method Detail

    - #### getDefaultType

          protected Class<?> getDefaultType()

      Return the default type this `Converter` handles.
      Specified by:
        `getDefaultType` in class `AbstractConverter`
      Returns:
        The default type this `Converter` handles.
      Since:
        1.8.0

    - #### convertToString

          protected String convertToString(Object value)

      Convert a java.lang.Class or object into a String.

      Overrides:
        `convertToString` in class `AbstractConverter`
      Parameters:
        `value` - The input value to be converted
      Returns:
        the converted String value.
      Since:
        1.8.0

    - #### convertToType

          protected <T> T convertToType(Class<T> type,
                                        Object value)
                                 throws Throwable

      Convert the input object into a java.lang.Class.

      Specified by:
        `convertToType` in class `AbstractConverter`
      Type Parameters:
        `T` - Target type of the conversion.
      Parameters:
        `type` - Data type to which this value should be converted.
        `value` - The input value to be converted.
      Returns:
        The converted value.
      Throws:
        `Throwable` - if an error occurs converting to the specified type
      Since:
        1.8.0

Copyright © 2000–2016 The Apache Software Foundation. All rights reserved.